/**
 * This algorithm is called Moore Neighbor Tracing
 * An explanation of the algorithm can be found here:
 * http://www.thebigblob.com/moore-neighbor-tracing-algorithm-in-c/
 *
 * @author Erik Smistad <smistad@idi.ntnu.no>
 */

#ifndef CONTOURTRACING_H_
#define CONTOURTRACING_H_

#include <stdlib.h>

struct pixel
{
	unsigned char b,g,r,a;
	bool operator==(const pixel &other);
};
const pixel WHITE = {255,	255,	255,	255};
const pixel BLACK = {0,		0,		0,		255};

pixel * padImage(pixel * image, int width, int height, pixel paddingColor);
pixel * mooreNeighborTracing(pixel * image, int height, int width);

#endif /* CONTOURTRACING_H_ */
